# Uses of Interface
org.eclipse.emf.cdo.spi.server.IAppExtension

Packages that use IAppExtension
Package
Description
org.eclipse.emf.cdo.lm.server
Server integration of the CDO Lifecycle Management.
org.eclipse.emf.cdo.spi.server
Server service provider interfaces and useful base implementations.

## Uses of IAppExtension in org.eclipse.emf.cdo.lm.server

Classes in org.eclipse.emf.cdo.lm.server that implement IAppExtension
Modifier and Type
Class
Description
`class`
`LMAppExtension`

## Uses of IAppExtension in org.eclipse.emf.cdo.spi.server

Subinterfaces of IAppExtension in org.eclipse.emf.cdo.spi.server
Modifier and Type
Interface
Description
`interface`
`IAppExtension2`
An optional extension of the `IAppExtension` interface for app extensions that support invocation on the XML configurations of dynamically-managed repositories.
`interface`
`IAppExtension3`
An optional extension of the `IAppExtension` interface for `repository-aware` app extensions.
`interface`
`IAppExtension4`
An optional extension of the `IAppExtension` interface for `prioritized` app extensions.
`interface`
`IAppExtension5`
An optional extension of the `IAppExtension` interface for `named` app extensions.
Classes in org.eclipse.emf.cdo.spi.server that implement IAppExtension
Modifier and Type
Class
Description
`class`
`AbstractAppExtension`
`class`
`AppExtension`
Fields in org.eclipse.emf.cdo.spi.server with type parameters of type IAppExtension
Modifier and Type
Field
Description
`static final Comparator<IAppExtension>`
IAppExtension4.`COMPARATOR`
Methods in org.eclipse.emf.cdo.spi.server with parameters of type IAppExtension
Modifier and Type
Method
Description
`static int`
IAppExtension4.`getPriority(IAppExtension appExtension)`